Bug 5854 - [UPDATE REQUEST] perl-File-MimeInfo 0.26 -> 0.27
: [UPDATE REQUEST] perl-File-MimeInfo 0.26 -> 0.27
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-29 21:02 MSD by Andrey Bondrov
Modified: 2015-07-07 01:31 MSD (History)
2 users (show)

See Also:
RPM Package: perl-File-MimeInfo
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2015-06-29 21:02:40 MSD
We need to update perl-File-MimeInfo to 0.27, the only change since 0.26 is a fixed typo in desktop-files handling (NoDsiplay -> NoDisplay).
Comment 1 Andrey Bondrov 2015-06-29 21:26:41 MSD
Advisory: "New version 0.27, it fixes an important typo (NoDsiplay -> NoDisplay)"

https://abf.rosalinux.ru/build_lists/2515040
https://abf.rosalinux.ru/build_lists/2515041
Comment 2 Vladimir Potapov 2015-06-29 22:05:58 MSD
How to check the update?
Comment 3 Andrey Bondrov 2015-06-30 11:54:19 MSD
(In reply to comment #2)
> How to check the update?

Before update:
$ cat /usr/lib/perl5/vendor_perl/5.18.2/File/MimeInfo/Applications.pm | grep NoD
NoDsiplay => 'true',

After update should be:
$ cat /usr/lib/perl5/vendor_perl/5.18.2/File/MimeInfo/Applications.pm | grep NoD
NoDisplay => 'true',

Other than that, /usr/bin/mimeopen should work (no perl errors etc).
Comment 4 Vladimir Potapov 2015-07-01 12:27:25 MSD
The update is sent to expanded testing
**************************************
Comment 5 Vladimir Potapov 2015-07-06 21:43:58 MSD
perl-File-MimeInfo-0.270.0-1
https://abf.rosalinux.ru/build_lists/2515040
https://abf.rosalinux.ru/build_lists/2515041
**************************** Advisory ******************************
New version 0.27, it fixes an important typo (NoDsiplay -> NoDisplay)
********************************************************************
QA Verified